# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name securemem

Name:           ghc-%{pkg_name}
Version:        0.1.3
Release:        4%{?dist}
Summary:        Auto-scrubbing bytestring memory chunks

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-byteable-devel
BuildRequires:  ghc-bytestring-devel
# End cabal-rpm deps

%description
SecureMem is similar to ByteString, except that it provides a memory chunk
with the following properties:

- gets scrubbed after it goes out of scope
- Show instance which doesn't show any content
- Eq instance that is constant in time.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# https://github.com/vincenthz/hs-securemem/pull/4
rm %{buildroot}%{_datadir}/%{pkg_name}-%{version}/README.md


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc README.md


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 17 2014 Jens Petersen <petersen@redhat.com> - 0.1.3-2
- improve the summary and description

* Fri Jan 17 2014 Jens Petersen <petersen@redhat.com> - 0.1.3-1
- remove README from datadir

* Thu Sep 26 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.1.3-0
- spec file generated by cabal-rpm-0.8.3
